FlowRouter-Extra: Help wanted to update "page" NPM dependency

Shout out to all developers, help wanted to update page NPM package dependency to the latest release;

Using any version newer than v1.9.0 won’t pass our auto-tests. . Multiple tests are failing with weird behavior like reloading page repeatedly or generating wrong urls like: /flow/flow//flow/flow/flow/flow//flow/flow//flow/flow//flow/flow/flow/flow//flow/flow/flow/flow//flow/flow/flow/flow//flow/flow//flow/flow//flow/flow/flow/flow//flow/XP65zT6zcisKT8aab

Please find further details in GitHub issue